GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
      Get Available BalancesGet Notional BalancesList Deposit AddressesCreate New Deposit AddressList Past TransfersList Custody Fee TransfersWithdraw Crypto FundsGet Gas Fee EstimationAdd BankAdd Bank (CAD)List Payment MethodsList Approved AddressesCreate New Approved AddressRemove Approved AddressTransfer Between AccountsGet Transaction History
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Notional Balances

TradingFund ManagementGet Notional Balances

Get Notional Balances

POSThttps://api.gemini.com/v1/notionalbalances/{currency}

Returns the available balances in the supported currencies as well as the notional value in the specified currency.

Note

Under the terms of the Gemini API Agreement, polling this endpoint may be subject to rate limiting.

Gemini is currently in the process of introducing new API architecture that will impact how decimal balances are returned from this endpoint for fiat and crypto assets.

As a result of this change, requests routed via the new architecture will return fiat balances and crypto balances truncated to 15 and 19 decimal places, respectively. It is recommended that users floor the values returned from this endpoint to the correct precision until the migration has been completed.

POSTv1/notionalbalances/usd
curl --request POST \
  --url https://api.gemini.com/v1/notionalbalances/usd \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/notionalbalances/usd",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See Roles for more information.

The OAuth scope must have balances:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Path Parameters

currencystring·required
Either a fiat currency, e.g. usd or gbp, or a supported crypto-currency, e.g. gusd, btc, eth, aave, etc.

Request Body

requeststring·required
The literal string "/v1/notionalbalances/currency"
nonceTimestampType | integer·required
timestampExample: 1495127793000
accountstring
Required for Master API keys. The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/notionalbalances/usd",
  "nonce": "<nonce>"
}

Responses

Successful operation

currencystring
Currency code, see symbols and minimums
amountstring
The current balance
amountNotionalstring
Amount, in notional
availablestring
The amount that is available to trade
availableNotionalstring
Available, in notional
availableForWithdrawalstring
The amount that is available to withdraw
availableForWithdrawalNotionalstring
AvailableForWithdrawal, in notional
Example Responses
[
  {
    "currency": "BTC",
    "amount": "1154.62034001",
    "amountNotional": "10386000.59",
    "available": "1129.10517279",
    "availableNotional": "10161000.71",
    "availableForWithdrawal": "1129.10517279",
    "availableForWithdrawalNotional": "10161000.71"
  },
  {
    "currency": "USD",
    "amount": "18722.79",
    "amountNotional": "18722.79",
    "available": "14481.62",
    "availableNotional": "14481.62",
    "availableForWithdrawal": "14481.62",
    "availableForWithdrawalNotional": "14481.62"
  },
  {
    "currency": "ETH",
    "amount": "20124.50369697",
    "amountNotional": "100621.31",
    "available": "20124.50369697",
    "availableNotional": "100621.31",
    "availableForWithdrawal": "20124.50369697",
    "availableForWithdrawalNotional": "100621.31"
  }
]
PreviousGet Available BalancesNextList Deposit Addresses
Last modified on May 5, 2026